Get Webhook Events

Get Webhook Events

get

Retrieves WebhookEvents from a single Webhook.

Path parameters
webhook_idinteger · int32Required
Query parameters
sinceinteger · int64Optional
pageinteger · int32OptionalDefault: 1
sizeinteger · int32OptionalDefault: 20
Header parameters
X-Violet-TokenstringRequired
X-Violet-App-SecretstringRequired
X-Violet-App-Idinteger · int32Required
Responses
chevron-right
default

default response

application/json
lastbooleanOptional

Boolean indicating if this is the last page

total_pagesinteger · int32Optional

The total count of pages available

total_elementsinteger · int32Optional

The total count of objects available

firstbooleanOptional

Boolean indicating if this is the first page of the response

number_of_elementsinteger · int32Optional

The total number of objects in this specific response

sizeinteger · int32Optional

The page size selected at request time

numberinteger · int32Optional

The page number selected at request time

emptybooleanOptional

Boolean indicating if the response content is empty

next_page_cursorstringOptional

Contains the cursor for the next page. This property will only be used for situations where the API does not support the page number/page size paradigm and it will mutually exclusive with the size/number fields in the response. If this property is returned it must be passed when requesting the next page from the API. Does not apply to endpoints that do not have a next_page_cursor query param documented.

get
/events/webhooks/{webhook_id}/events
default

default response

Last updated

Was this helpful?